#ifndef KBF_HTTP_EXCEPTION_H
#define KBF_HTTP_EXCEPTION_H

namespace kbf::http::exception {
    /**
     * @brief Thrown when connection could not be established.
     */
    class ConnectionError : public std::exception {
    };

    /**
     * @brief Thrown when the request failed and there was no timeout set.
     * @warning Currently we can not really distinguish between timeout and other errors.
     */
    class RequestError : public std::exception {
    };

    /**
     * @brief Thrown when the request has failed and there was a timeout set.
     * @warning Currently we can not really distinguish between timeout and other errors.
     */
    class Timeout : public std::exception {
    };
}

#endif //KBF_HTTP_EXCEPTION_H
